SDL_systhread.h File Reference
`#include "../SDL_internal.h"`
`#include "SDL_thread.h"`
`#include "SDL_thread_c.h"`
Include dependency graph for SDL_systhread.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | SDL_SYS_CreateThread (SDL_Thread *thread, void *args)
void | SDL_SYS_SetupThread (const char *name)
int | SDL_SYS_SetThreadPriority (SDL_ThreadPriority priority)
void | SDL_SYS_WaitThread (SDL_Thread *thread)
void | SDL_SYS_DetachThread (SDL_Thread *thread)
SDL_TLSData * | SDL_SYS_GetTLSData ()
int | SDL_SYS_SetTLSData (SDL_TLSData *data)

## Function Documentation

int SDL_SYS_CreateThread | ( | SDL_Thread * | thread,
|  | void * | args
| ) |  |

Definition at line 35 of file SDL_systhread.c.

References SDL_Thread::handle, RunThread(), SDL_atoi, SDL_GetHint, SDL_HINT_THREAD_STACK_SIZE, SDL_OutOfMemory, SDL_SetError, and SDL_TRUE.

Referenced by SDL_CreateThread().

{
return SDL_SetError("Threads are not supported on this platform");
}
SDL_SetError
#define SDL_SetError
Definition: SDL_dynapi_overrides.h:36

void SDL_SYS_DetachThread | ( | SDL_Thread * | thread | ) |

Definition at line 66 of file SDL_systhread.c.

References SDL_Thread::handle.

Referenced by SDL_DetachThread().

{
return;
}

SDL_TLSData* SDL_SYS_GetTLSData | ( |  | ) |

Definition at line 27 of file SDL_systls.c.

References generic_local_storage, INVALID_PTHREAD_KEY, lock, NULL, SDL_AtomicLock, SDL_AtomicUnlock, SDL_Generic_GetTLSData(), SDL_MemoryBarrierAcquire, SDL_MemoryBarrierRelease, SDL_TRUE, and thread_local_storage.

Referenced by SDL_TLSCleanup(), SDL_TLSGet(), and SDL_TLSSet().

{
return SDL_Generic_GetTLSData();
}
SDL_Generic_GetTLSData
SDL_TLSData * SDL_Generic_GetTLSData()
Definition: SDL_thread.c:123

int SDL_SYS_SetThreadPriority | ( | SDL_ThreadPriority | priority | ) |

Definition at line 54 of file SDL_systhread.c.

References SDL_SetError, SDL_THREAD_PRIORITY_HIGH, and SDL_THREAD_PRIORITY_LOW.

Referenced by SDL_SetThreadPriority().

{
return (0);
}

int SDL_SYS_SetTLSData | ( | SDL_TLSData * | data | ) |

Definition at line 33 of file SDL_systls.c.

References generic_local_storage, SDL_Generic_SetTLSData(), SDL_SetError, and thread_local_storage.

Referenced by SDL_TLSCleanup(), and SDL_TLSSet().

{
return SDL_Generic_SetTLSData(data);
}
SDL_Generic_SetTLSData
int SDL_Generic_SetTLSData(SDL_TLSData *storage)
Definition: SDL_thread.c:162

void SDL_SYS_SetupThread | ( | const char * | name | ) |

Definition at line 42 of file SDL_systhread.c.

References i, NULL, SDL_assert, SDL_snprintf, SDL_ThreadID(), and sig_list.

Referenced by SDL_RunThread().

{
return;
}

void SDL_SYS_WaitThread | ( | SDL_Thread * | thread | ) |

Definition at line 60 of file SDL_systhread.c.

References SDL_Thread::handle.

Referenced by SDL_WaitThread().

{
return;
}